

package gov.va.med.cds.mediator.work;


public class ReadRequestAuditLogStartWork
    implements
        WorkerInterface
{

    private String wsnStartTimeInMillis;


    public void doWork( WorkStateInterface workState )
    {
        workState.registerWorkState( this.wsnStartTimeInMillis, System.currentTimeMillis() );
    }


    public void setWsnStartTimeInMillis( String wsnStartTimeInMillis )
    {
        this.wsnStartTimeInMillis = wsnStartTimeInMillis;
    }

}
